package org.mynonglam.entitys;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the groupcommentstatus database table.
 * 
 */
@Entity
public class GroupCommentStatus implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String idgcomstatus;

	private String commentdate;

	@Lob
	private String content;

	//bi-directional many-to-one association to GroupStatus
	@ManyToOne
	@JoinColumn(name="idgstatus")
	private GroupStatus groupstatus;

	//bi-directional many-to-one association to MemberGroup
	@ManyToOne
	@JoinColumns({
		@JoinColumn(name="email", referencedColumnName="email"),
		@JoinColumn(name="idgroup", referencedColumnName="idgroup")
		})
	private MemberGroup membergroup;

	public GroupCommentStatus() {
	}

	public String getIdgcomstatus() {
		return this.idgcomstatus;
	}

	public void setIdgcomstatus(String idgcomstatus) {
		this.idgcomstatus = idgcomstatus;
	}

	public String getCommentdate() {
		return this.commentdate;
	}

	public void setCommentdate(String commentdate) {
		this.commentdate = commentdate;
	}

	public String getContent() {
		return this.content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public GroupStatus getGroupstatus() {
		return this.groupstatus;
	}

	public void setGroupstatus(GroupStatus groupstatus) {
		this.groupstatus = groupstatus;
	}

	public MemberGroup getMembergroup() {
		return this.membergroup;
	}

	public void setMembergroup(MemberGroup membergroup) {
		this.membergroup = membergroup;
	}

}